# TTreeIdPath Class Reference

Inheritance diagram for TTreeIdPath:

List of all members.

## Public Member Functions
| TTreeIdPath ()
boolean | isValid () const
boolean | isRoot () const
uint32 | Length () const
boolean | operator== (const TTreeIdPath &otherPath) const
boolean | operator!= (const TTreeIdPath &otherPath) const
boolean | operator> (const TTreeIdPath &insideAbsolute) const
TTreeIdPath & | operator+= (const TTreeId &son)
TTreeIdPath & | operator-- ()
TTreeIdPath & | operator= (const TTreeIdPath &fromPath)
boolean | IsSubPath (const TTreeIdPath &root) const
void | RenamedTreePermanentID (const TMCHashMap< TTreeId, TTreeId > &renamedTreeId)
TTreeIdPath | makeRelativeTo (const TTreeIdPath &parentAbsolute) const
TTreeIdPath | makeAbsoluteFrom (const TTreeIdPath &parentAbsolute) const
TTreeId | First () const
TTreeIdPath | Next () const
void | Write (TMCiostream &stream, int32 keyword) const
## Static Public Member Functions
static TTreeIdPath | Root ()
static TTreeIdPath | InvalidPath ()
static TTreeIdPath | Read (TMCiostream &stream)
## Protected Attributes
TMCArray< TTreeId > | path
## Friends
TTreeIdPath | operator+ (const TTreeIdPath &parentAbsolute, const TTreeId &son)

## Constructor & Destructor Documentation

TTreeIdPath::TTreeIdPath | ( |  | ) | `[inline]`

## Member Function Documentation

TTreeId TTreeIdPath::First | ( |  | ) | const`[inline]`

static TTreeIdPath TTreeIdPath::InvalidPath | ( |  | ) | `[inline, static]`

boolean TTreeIdPath::isRoot | ( |  | ) | const`[inline]`

boolean TTreeIdPath::IsSubPath | ( | const TTreeIdPath & | root | ) | const

boolean TTreeIdPath::isValid | ( |  | ) | const`[inline]`

uint32 TTreeIdPath::Length | ( |  | ) | const`[inline]`

TTreeIdPath TTreeIdPath::makeAbsoluteFrom | ( | const TTreeIdPath & | parentAbsolute | ) | const

TTreeIdPath TTreeIdPath::makeRelativeTo | ( | const TTreeIdPath & | parentAbsolute | ) | const

TTreeIdPath TTreeIdPath::Next | ( |  | ) | const`[inline]`

boolean TTreeIdPath::operator!= | ( | const TTreeIdPath & | otherPath | ) | const`[inline]`

TTreeIdPath& TTreeIdPath::operator+= | ( | const TTreeId & | son | ) | `[inline]`

TTreeIdPath& TTreeIdPath::operator-- | ( |  | ) | `[inline]`

TTreeIdPath& TTreeIdPath::operator= | ( | const TTreeIdPath & | fromPath | ) | `[inline]`

boolean TTreeIdPath::operator== | ( | const TTreeIdPath & | otherPath | ) | const

boolean TTreeIdPath::operator> | ( | const TTreeIdPath & | insideAbsolute | ) | const

static TTreeIdPath TTreeIdPath::Read | ( | TMCiostream & | stream | ) | `[static]`

void TTreeIdPath::RenamedTreePermanentID | ( | const TMCHashMap< TTreeId, TTreeId > & | renamedTreeId | ) |

static TTreeIdPath TTreeIdPath::Root | ( |  | ) | `[inline, static]`

void TTreeIdPath::Write | ( | TMCiostream & | stream,
|  | int32 | keyword |
| ) |  |  | const

## Friends And Related Function Documentation

TTreeIdPath operator+ | ( | const TTreeIdPath & | parentAbsolute,
|  | const TTreeId & | son |
| ) |  |  | `[friend]`

## Member Data Documentation

TMCArray<TTreeId> TTreeIdPath::path`[protected]`

The documentation for this class was generated from the following file:

- Id.h